%define name pqt-designer
%define version 1.00
%define qtversion 3.1.x
%define release 5mdk

Summary: 	Perl modules and utilities for using the Qt 3 Toolkit.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Development/Perl
License: 	GPL
URL: 		http://perlqt.sourceforge.net/
Source:		%{name}-Qt-%{qtversion}.tar.bz2
Patch:		%{name}-Qt-%{qtversion}.patch.bz2
Provides: 	pqt-designer
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:  perl
BuildRequires:  qt3-devel libkdec-devel
BuildRequires:  libmng-devel
BuildRequires:  libMesaGLU-devel
Requires:	perl-Qt

%description
pqt-designer is a Qt Designer plugin allowing 
RAD development of PerlQt applications from a
powerful integrated development environment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{qtversion}

%patch -p0

%build

export QTDIR=/usr/lib/qt3
export PREFIX=%{?buildroot:%{buildroot}}%{_prefix}
export PLUGIN_PREFIX=%{?buildroot:%{buildroot}}/usr/lib/qt3
export PATH=$QTDIR/bin:$PATH
qmake -makefile designer.pro

%make

%install
export QTDIR=/usr/lib/qt3
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README README.perleditor.quickstart
%_bindir/*
%_libdir/*

%changelog
* Mon Aug 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.00-5mdk
- rebuild for new g++
- rpmlint fixes

* Thu Apr 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.00-4mdk
- Remove update-alternative. Pqt-designer is not qt-designer.
=> I receive multi-bugs report about "qt-designer" crash but it's pqt-designer
=> I remove this update-alternative.

* Wed Mar 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.00-3mdk
- Rebuild

* Thu Sep 22 2003 Olivier Blin <oliv.blin@laposte.net> 1.00-2mdk
- Initial Mandrake package (from Germain Garand)
- remove redundant Requires

* Mon Sep 22 2003 Germain Garand <germain@ebooksfrance.org> 1.00-1mdk
- first version.
